Application: gvSIG desktop - gvSIG bugs #4660
Seleccion por atributo no funciona con campos con nhombre "numérico"
09/12/2017 12:16 PM - Alvaro Anguix

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document table

Target version: 2.5.0-2911 (rev. org.gvsig.desktop-2.0.239)

Severity: Minor Add-on version:

gvSIG version: 2.4.0 Add-on build:

gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

Si tenemos una capa en el que el nombre del campo es un namero la herramienta de seleccion por atributo no funciona.
Ejemplo, capa con un campo numérico que se llama "2015".

Intentamos seleccionar con la expresion: 2015 > 1

...y da error.

Parece que es cuando empieza por nimero.

Si renombramos a "2015xxx" sigue fallando

Si renombramos a "xxx2015" ya funciona bien.

Related issues:

Related to Application: gvSIG desktop - gvSIG bugs # 2492: Error al componer ... Outdated 04/14/2014
Related to Application: gvSIG desktop - gvSIG bugs # 4671: Seleccion por atri... Outdated 09/21/2017
Related to Application: gvSIG desktop - gvSIG bugs # 4708: Selector by attrib... Closed 10/14/2017
History

#1 - 09/14/2017 10:27 AM - Joaquin del Cerro Murciano
- Target version set to 2.4.0-2837 (rev. org.gvsig.desktop-2.0.204)

#2 - 09/15/2017 06:30 PM - Joaquin del Cerro Murciano
- Target version changed from 2.4.0-2837 (rev. org.gvsig.desktop-2.0.204) to 2.5.1-3044

Actualmente para la evaluacion de expresiones estamos usando la libreria "SQLJEP", http://sqliep.sourceforge.net .

Esta libreria acepta una sintaxis similar a las expresiones usadas en una query de sq|, pero present algunas deficiencias, por ejemplo no acepta la
sintaxis "campo" o [campo] para hacer referencia a nombres de campos que contengan caracteres no alfabeticos, esto es, no aceptaria un nombre
de campo "123" 0 un nombre de campo "Country Na".

Ahora mismo dar soporte a estas cosas supondria a tratar de afadirselo a esa libreria, buscar otra alternativa o implementar una propia.

#3 - 09/21/2017 02:55 PM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #2492: Error al componer expresion de filtrado added

#4 - 09/21/2017 03:04 PM - Joaquin del Cerro Murciano

- Related to gvSIG bugs #4671: Seleccion por atributo no funciona con cadenas que contienen comillas simples added

04/19/2024 1/2



http://sqljep.sourceforge.net

#5 - 10/14/2017 09:44 PM - Joaquin del Cerro Murciano
- Related to gvSIG bugs #4708: Selector by attribute doesn't work when we double-click on the name of the field added

#6 - 02/04/2019 03:48 PM - Alvaro Anguix
- Target version changed from 2.5.1-3044 to 2.5.0-2930-final
- Status changed from New to Outdated

Con el nuevo selector por atributos este bug ya no se resolvera

#7 - 02/06/2019 06:02 PM - Joaquin del Cerro Murciano
- Target version changed from 2.5.0-2930-final to 2.5.0-2911 (rev. org.gvsig.desktop-2.0.239)
